/**
 * @param {import('@babel/core')} babel
 * @param {Options} options
 * @param {string} cwd
 * @returns {Promise<PluginObj>}
 */
export default function inlineConstants(
  babel: typeof import('@babel/core'),
  options: Options,
  cwd: string
): Promise<PluginObj>
/**
 * Configuration (required).
 */
export type Options = {
  /**
   *   List of modules to inline
   */
  modules: string | Array<string>
  /**
   * Ignore the error when modules cannot be found
   */
  ignoreModuleNotFound?: boolean | undefined
}
export type PluginObj = import('@babel/core').PluginObj
export type PluginPass = import('@babel/core').PluginPass
export type NodePath = import('@babel/core').NodePath
export type StringLiteral = import('@babel/types').StringLiteral
export type NumericLiteral = import('@babel/types').NumericLiteral
export type BooleanLiteral = import('@babel/types').BooleanLiteral
export type NullLiteral = import('@babel/types').NullLiteral
export type ImportSpecifier = import('@babel/types').ImportSpecifier
export type ImportDefaultSpecifier =
  import('@babel/types').ImportDefaultSpecifier
export type ImportNamespaceSpecifier =
  import('@babel/types').ImportNamespaceSpecifier
